//+------------------------------------------------------------------+
//|                                                Least Squares.mq4 |
//|                                       Copyright  2009, Tinytjan |
//|                                                 tinytjan@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Tinytjan"
#property link      "tinytjan@mail.ru"

//    .    

// 1.     
// 2.     x  y
// 3.           0

//+------------------------------------------------------------------+
//| EX4 imports                                                      |
//+------------------------------------------------------------------+
#import "Least Squares.ex4"
//+------------------------------------------------------------------+
//| Least Squares Method                                             |
//+------------------------------------------------------------------+
//    
// x, y --   x y  

   double LeastSquares(double x[], double y[]);

//+------------------------------------------------------------------+
//| Total Least Squares Method                                       |
//+------------------------------------------------------------------+

//      ----     
// x, y --   x y  

   double TotalLeastSquares(double x[], double y[]);

//+------------------------------------------------------------------+
//| Adaptive Least Squares Method                                    |
//+------------------------------------------------------------------+

//     ,   
//       
//     .    
//    ,   
//      .
//         
//    .
//        
//   

// x, y --   x y  

   double AdaptiveLeastSquares(double x[], double y[]);
#import